//ConsoleInterface.h
//实现命令行参数处理函数的头文件

#ifndef _Interface_H
#define _Interface_H
#include<stdio.h>
#include<stdlib.h>
#include<string.h>

bool inputCommand(const char* p_strFormat,void *p_pValue, int p_nArgc=__argc,char** p_ppcArgv=__argv);
//将结果输出到屏幕和log文件,默认为追加写
void outputOpenResultFile(bool p_bAppend=true);
void outputCloseResultFile();
void outputResult(const char* p_strMessage,...);	// 输出到.log文件, 同时输出到屏幕
//
void outputPrompt(const char* p_strMessage,...);	// 输出到屏幕
#endif